pgo: Use pixman renderer by default for PGO builds #740

Manually merged
dnkl merged 1 commits from sochotnicky/foot:use-pixman-renderer into master 9 months ago
  1. 2
      pgo/full-headless-cage.sh
  2. 2
      pgo/full-headless-sway.sh

2
pgo/full-headless-cage.sh

@ -8,7 +8,7 @@ blddir=$(realpath "${2}")
runtime_dir=$(mktemp -d)
trap "rm -rf '${runtime_dir}'" EXIT INT HUP TERM
XDG_RUNTIME_DIR="${runtime_dir}" WLR_BACKENDS=headless cage "${srcdir}"/pgo/full-inner.sh "${srcdir}" "${blddir}"
XDG_RUNTIME_DIR="${runtime_dir}" WLR_RENDERER=pixman WLR_BACKENDS=headless cage "${srcdir}"/pgo/full-inner.sh "${srcdir}" "${blddir}"
# Cage’s exit code doesn’t reflect our script’s exit code
[ -f "${blddir}"/pgo-ok ] || exit 1

2
pgo/full-headless-sway.sh

@ -18,7 +18,7 @@ trap cleanup EXIT INT HUP TERM
> "${sway_conf}" echo "exec '${srcdir}'/pgo/full-headless-sway-inner.sh '${srcdir}' '${blddir}'"
# Run Sway. full-headless-sway-inner.sh ends with a ‘swaymsg exit’
XDG_RUNTIME_DIR="${runtime_dir}" WLR_BACKENDS=headless sway -c "${sway_conf}"
XDG_RUNTIME_DIR="${runtime_dir}" WLR_RENDERER=pixman WLR_BACKENDS=headless sway -c "${sway_conf}"
# Sway’s exit code doesn’t reflect our script’s exit code
[ -f "${blddir}"/pgo-ok ] || exit 1

Loading…
Cancel
Save